/*******************************************************************************

    BLOQUEADOR DE CONTROLE REMOTO

    C/ PIC12F675


    AUTOR: CLAUDIO LARIOS

    OBJETIVO:
    1)INIBIR TROCA DE CANAL EM TV DE ESTABELECIMENTOS COMERCIAIS POR
    MEIO DE APLICATIVOS INSTALADOS EM CELULARES DOS CLIENTES DO ESTABELECIMENTO.
    2)DIVERTIR COM FAMILIARES E AMIGOS FAZENDO ELE PENSAR QUE CONTROLE NO FUNCIONA
    SOMENTE QUANDO ELE USA.

    DATA:13/12/2019

    USO DIDTICO
    ESTE ARQUIVO  PARTE INTEGRANTE DO BLOG PICSOURCE

*******************************************************************************/
#include <12F675.h>
#use delay(clock=20000000)
#fuses NOWDT,HS, NOCPD, NOPROTECT, NOMCLR, PUT, BROWNOUT

//bytes
#byte  trisio = 0x85
#byte  gpio   = 0x05
#byte  cmcom  = 0x19
#byte  ansel  = 0x9f

//bits

#bit   led  = 0x05.2

unsigned int8 t,vez;

/*******************************************************************************
                        ROTINA MAIN
*******************************************************************************/

void main() {

   cmcom=7;
   ansel=0;
   trisio=0b111011;//ajusta entradas e sadas
   gpio=0;//zera tudo

/*******************************************************************************
           LOOP PRINCIPAL DE REPETIO
*******************************************************************************/


   for(;;){
 // led infrared ligado no pino 5 do PIC acender em 38khz com 1/3 do duty cycle
      t=22;
      do{
        led=1;     //ativa led infrared
        delay_cycles(41);// aguarda aprox. 8.6 us
        led=0;
        delay_cycles(83);//aguarda aprox. 17.6 us
        t--;
      }while(t);//alterna intervalos entre transmisso
      if(vez>0){ delay_us(300);vez=0;} else{delay_us(150);vez=1;}


   }//for(;;)

}//void main()
